<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    
</head>
<body>
    <div class="container jumbotron">
        <div class="text-center mb-4">
            <h3>Chi tiết User</h3>
        </div>
        <div class="row form-group">
            <div class="col-sm-2">
                <label for="">First Name</label>
            </div>
            <div class="col-sm-10">
                <input id="inp-firstname" placeholder="First Name.." class="form-control" type="text">
            </div>

        </div>
        <div class="row form-group">
            <div class="col-sm-2">
                <label for="">Last Name</label>
            </div>
            <div class="col-sm-10">
                <input id="inp-lastname" placeholder="Last Name..." class="form-control" type="text">
            </div>

        </div>
        <div class="row form-group">
            <div class="col-sm-2">
                <label for="">Subject</label>
            </div>
            <div class="col-sm-10">
                <input id="inp-subject" placeholder="Subject..." class="form-control" type="text">
            </div>

        </div>
        <div class="row form-group">
            <div class="col-sm-2">
                <label for="">Country</label>
            </div>
            <div class="col-sm-10">
                <select class="form-control" name="" id="select-country">
                    <option value="VN">Việt Nam</option>
                    <option value="USA">USA</option>
                    <option value="AUS">Australia</option>
                    <option value="CAN">Canada</option>
                </select>
            </div>

        </div>
        <div class="row form-group">
            <div class="col-sm-2">
                <label for="">Customer Type</label>
            </div>
            <div class="col-sm-10">
                <select class="form-control" name="" id="select-customerType">
                    <option value="Standard">Standard</option>
                    <option value="Gold">Gold</option>
                    <option value="Premium">Premium</option>
                    
                </select>
            </div>

        </div>
        <div class="row form-group">
            <div class="col-sm-2">
                <label for="">Register Status</label>
            </div>
            <div class="col-sm-10">
                <select class="form-control" name="" id="select-registerStatus">
                    <option value = "New">New</option>
                    <option value = "Accepted">Accepted</option>
                    <option value = "Denied">Denied</option>
                    
                </select>
            </div>

        </div>
        <div class="row form-group">
            <div class="col-sm-2">
            </div>
            <div class="col-sm-10">
                <button type="button" id="btn-update" class="btn btn-success w-25">Update User</button>
                <button type="button"  class="btn btn-danger w-25">Hủy bỏ</button>
            </div>

        </div>
    </div>
</body>
<script>
    $(document).ready(function(){
        onPageLoading();
    })
    function onPageLoading(){
        var vUrl = new URL(window.location.href)
        var vID = vUrl.searchParams.get("id")
        console.log(vID)
        calApiGetUserById(vID)
    }
    function calApiGetUserById(paramUser){
        $.ajax({
            url: "http://203.171.20.210:8080/crud-api/users/" + paramUser,
            type: "GET",
            success: function(paramOjb){
                console.log(paramOjb)
                showDataToForm(paramOjb)
            },
            error: function(paramError){
                console.log(paramError.responseText)
            }
        })
    }
    function showDataToForm(paramOjb){
        $("#inp-firstname").val(paramOjb.firstname)
        $("#inp-lastname").val(paramOjb.lastname)

        $("#inp-subject").val(paramOjb.subject)

        $("#select-country").val(paramOjb.country)

        $("#select-customerType").val(paramOjb.customerType)

        $("#select-registerStatus").val(paramOjb.registerStatus)

    }
</script>
</html>